<?php
/*
 * Myra Configuration
 *
 * Edit this file for your local settings.
 */

// Company information.
$GLOBALS['ORG_NAME'] = 'Example Company';			// used in page titles
$GLOBALS['ORG_URL'] = 'http://www.examplecompany.com';	// main url for company (not necessarily this site)
$GLOBALS['ORG_TITLE'] = $GLOBALS['ORG_NAME'].' <small>Portal</small>';	// title for page headers

// Copyright
$GLOBALS['COPYRIGHT'] = '&copy; Example Company, Somewhere, MT';	// displayed in page footer
//$GLOBALS['COPYRIGHT'] = '&copy; Example Company, Somewhere, MT <a href="'.$GLOBALS['ORG_URL'].'">'.$GLOBALS['ORG_URL'].'</a>'; // can be a link

// Support url
$GLOBALS['SUPPORT_URL'] = 'https://support.examplecompany.com/ticket';	// used in error pages
//$GLOBALS['SUPPORT_URL'] = 'mailto:support@examplecompany.com';	// can also be an email address

// User files
$GLOBALS['USER_FILES'] = '/my-files';	// path prefix to user files
//$GLOBALS['USER_FILES'] = 'https://intranet.examplecompany.com/my-files';	// can also be a url

// User information (HR files)
$GLOBALS['USER_INFO'] = '/my-info';	// path prefix to user files
//$GLOBALS['USER_INFO'] = 'https://intranet.examplecompany.com/my-info';	// can also be a url

// Default theme.
// The default theme name must correspond to a directory name in the MYRA_THEMES_PATH directory.
$GLOBALS['DEFAULT_THEME'] = 'myra';

// Security email
// If defined, anomalies in accessing files and switching contexts are emailed.
//$GLOBALS['SECURITY_EMAIL'] = 'admin@examplecompany.com';

// Define realm name used to authenticate users.
// This is the name that is used in the apache AuthName directive for authenticating users with
// Apache Basic Authentication. The default is the organization's name.
$GLOBALS['AuthName'] = $GLOBALS['ORG_NAME'];
// The logout process presents a login screen to the user. If the user cancels that, the next
// page displayed is the page assigned to AFTER_LOGOUT_URL. This page should NOT be a protected page
// requiring a user to login.
$GLOBALS['AFTER_LOGOUT_URL'] = $GLOBALS['ORG_URL'];

// Myra installation configuration.
// Define the base url. This is the url that corresponds to DOCUMENT_ROOT. This is used to make
// full urls to reference Myra programs in HTML templates where this is not readily available in PHP.
$GLOBALS['BASE_URL'] = 'https://myra.examplecompany.com';
?>
