<?php
/**
 * Common report header.
 *
 * This header incorporates company branding by including a background image from
 * the myra-local/images directory which has a "page-logo" file named after each theme.
 */
include_once "myra/lib/lib.common.php";

$logo_file_name = "page-logo." . my_theme() . ".jpg";	// like: page-logo.myra.jpg
$logo_url = rawurlencode_path($GLOBALS['MYRA_LOCAL'] . "/images/$logo_file_name");
?>
<div class="header" style="background-image:url(<?php echo $logo_url; ?>);">
<h1><a href="/"><?php echo $GLOBALS['ORG_TITLE']; ?></a></h1>
</div><!-- .header -->

<div class="left-sidebar">
<?php include dirname(__FILE__).'/main_menu.php'; ?>
</div><!-- .left-sidebar -->
