<?php
/*
 * Forbidden Error Page (403 errors)
 */

include_once 'myra/lib/config.php';

$home_page = '/';
$page_type = 'error';
$body_id = "error403";
$title = 'Not Allowed';
#$meta = '<meta http-equiv="refresh" content="12;URL='.$home_page.'" />';
$script = <<<End_Of_Javascript
<script type="text/javascript">
// <![CDATA[
if (window.location != top.location) top.location.href=window.location;
//window.onload = function() { setTimeout(function(){top.location.href='$home_page'},12*1000); };

countdown.frequency = 1000;		// milliseconds
function countdown(n,id,prefix,suffix,fn) {
	// Execute function fn when countdown reaches 0. Surround number with prefix and suffix.
	var e = typeof id == 'string' ? document.getElementById(id) : id;	// id or object
	if (! e) { return; }
	e.counter = n;

	var timer = function() {
		e.innerHTML = (prefix ? prefix : '') + e.counter + (suffix ? suffix : '');
		if (e.counter <= 0) {
			countdown.run = null;
			if (fn) { fn(id); }
			return;
		}
		countdown.run = setTimeout(arguments.callee,countdown.frequency);
		e.counter -= 1;
	}

	timer();
}
countdown.stop = function() { clearTimeout(countdown.run); countdown.run = null; }

startcountdown = function(n) {
	countdown(n, 'countdown_display', '(', ')', function(){if(self==top&&history.length>1){history.back()}else{top.location.href='$home_page'}} );
}

window.onload = function(){startcountdown(12);document.onclick=countdown.stop;}
// ]]>
</script>
End_Of_Javascript;

include 'myra/inc/error_begin.php';
?>

<h1>Not Allowed</h1>

<p>This server is not allowed to access the document requested.
Access to the requested file is restricted or you are trying to do something that is not allowed like trying to view the contents of a restricted directory.</p>

<p>You will be redirected shortly to the page you came from or you can go to the <a href="<?php echo $home_page; ?>">home page</a>.
<span id="countdown_display" style="color:#AAAAAA;cursor:default" title"Click to stop or start the countdown." onclick="if(countdown.run){countdown.stop()}else{startcountdown(this.counter)}"></span>
</p>

<p>If you believe you arrived here in error and you want to report it, please enter a <a href="<?php echo $GLOBALS['SUPPORT_URL']; ?>?subject=Forbidden%20access%20<?php echo rawurlencode($_SERVER['REQUEST_URI']).'%20for%20'.rawurlencode($GLOBALS['REMOTE_USER']); ?>">support request</a>.</p>

<?php include 'myra/inc/error_end.php'; ?>
