<?php
/*
 * Get context key 
 *
 * Get a context key to be used to upload files.
 */

include_once 'myra/lib/config.php';
include_once 'myra/lib/class.Session.php';
include_once 'myra/lib/lib.common.php';
include_once 'myra/lib/lib.auth.php';

authenticate_user() or die_unauthenticated();

$session = Session::getInstance();
if (! is_myra_uri($_SERVER['HTTP_REFERER'])) { exit_forbidden(); }

$context = isset($_POST['context']) ? $_POST['context'] : null;

switch_context_to_key($context,true) or exit_forbidden();

can_upload_to_current_dir() or exit_forbidden();

$key = new_context();

exit_result(true,array(key=>$key));
?>
