<?php
/*
 * Bad Browser Error Page
 */

include_once 'myra/lib/config.php';
include_once 'myra/lib/lib.common.php';

$msg = '';
if (session_id()) $msg = $_SESSION['msg'];
if (!$msg && isset($_REQUEST['msg'])) $msg = $_REQUEST['msg'];
if (!$msg) $msg = <<<End_Of_HTML
The extra effort to make this browser secure with this system has not been expended yet, if ever.
End_Of_HTML;

$home_page = '/';
$page_type = 'error';
$body_id = "error";
$title = 'Bad Browser';
$script = <<<End_Of_Javascript
<script type="text/javascript">if (window.location != top.location) top.location.href=window.location;</script>
End_Of_Javascript;

include 'myra/inc/error_begin.php';
?>

<h1>Bad Browser</h1>

<p>This browser does not provide secure access to this system.</p>
<?php if ($msg) echo "<p>$msg</p>\n"; ?>
<p>Please use one of the following browsers:</p>

<div class="approved-browsers">
<ul>
<li>Chrome</li>
<li>Fire Fox</li>
<li>Safari</li>
</ul>
</div><!-- .approved-browsers -->
<p>Or for your mobile device, use one of the following:</p>
<div class="approved-browsers">
<ul>
<li>iPad</li>
<li>iPhone</li>
</ul>
</div><!-- .approved-browsers -->

<p>If you believe you arrived here in error and you want to report it, please enter a <a href="<?php echo $GLOBALS['SUPPORT_URL']; ?>?subject=Program%20Error%20<?php echo rawurlencode($_SERVER['REQUEST_URI']).'%20for%20'.rawurlencode($GLOBALS['REMOTE_USER']); ?>">support request</a>.</p>

<?php include 'myra/inc/error_end.php'; ?>
