<?php
/**
 * Page content buttons and links.
 *
 * These buttons/links are intended to be at the top of the page content.
 * This is where the edit button the the portrait/landscape buttons are placed.
 *
 * Note: These buttons are not the same as in myra/inc/index_buttons.php.
 * Those are used on index pages and include extra buttons.
 *
 * Requires: /myra/js/common.js
 */

include_once 'myra/lib/config.php';
include_once 'myra/lib/lib.auth.php';

$edit_buttons = !(can_edit_current_file() || can_delete_current_file()) ? '' : <<<End_Of_HTML
<div class="edit-buttons">
<a class="icon-delete" href="{$GLOBALS['MYRA']}/dlg/delete-file.php" title="Remove page">delete</a>
<a class="icon-edit" href="#" onclick="myra.editPage();return false;" title="Edit page">edit</a>
</div>

End_Of_HTML;
?>
<div class="content-buttons">
<?php echo $edit_buttons; ?>
<div class="orient-buttons">
<a class="icon-portrait" href="#" onclick="myra.changeToPortrait();return false;" title="Portrait orientation">portrait</a>
<a class="icon-landscape" href="#" onclick="myra.changeToLandscape();return false;" title="Landscape orientation">landscape</a>
</div>
</div><!-- .content-buttons -->
