<?php
/**
 * HTML template header
 * The output is intended to be inserted between the <head></head> tags.
 */

include_once 'myra/lib/config.php';
include_once 'myra/lib/lib.common.php';

// Global Arguments
global $theme;
global $page_type;

// Page_type essentially determines which primary css file to use.
// To make a new page_type, simply define a new <page_type>.css file in the theme's css directory.
$page_type	= isset($page_type)	? $page_type	: null or
 $page_type	= isset($_GET['type'])	? $_GET['type']	: "page";

// Themes are saved in a cookie or can be specified in url parameters.
$theme		= isset($theme)		? $theme	: my_theme();

////////////////////////////////////////
?>
<link rel="icon" href="https://myra.mysteryranch.com/favicon.ico" />
<link rel="stylesheet" href="https://myra.mysteryranch.com/myra/js/jquery.fancybox-1.3.4/fancybox/jquery.fancybox-1.3.4.css" type="text/css" />
<link rel="stylesheet" href="https://myra.mysteryranch.com<?php echo $GLOBALS['MYRA_THEMES']; ?>/<?php echo rawurlencode($theme); ?>/css/<?php echo rawurlencode($page_type); ?>.css" type="text/css" media="all" title="<?php echo htmlspecialchars($theme); ?>" />
