<?php
/*
 * Redirect to user's personal files.
 */

include_once 'myra/lib/config.php';
include_once 'myra/lib/class.Session.php';
include_once 'myra/lib/class.User.php';

$session = Session::getInstance();

if (!isset($session->user)) {
	// User not identified, must sign in.
	header('Location: '.$GLOBALS['MYRA'].'/signin.php');
	exit;
}

// Path to this user's files
$user_files = $GLOBALS['USER_FILES'].'/'.$session->user->username().'/';

// Redirect to user files.
header('Location: '.$user_files);
exit;
?>
