<?php
/*
 * Change user password
 *
 * Intended for ajax usage only.
 */

include_once 'myra/lib/config.php';
include_once 'myra/lib/class.Session.php';
include_once 'myra/lib/lib.common.php';

$session = Session::getInstance();

is_ajax_request() or exit_forbidden();

$user	  = isset($_POST['user'])		? $_POST['user']		: '';
$password = isset($_POST['new_password'])	? $_POST['new_password']	: '';

if (strlen($user) <= 0) {
	exit_result(false,'User name not specified.');
}
if (strlen($password) <= 0) {
	exit_result(false,'Empty password.');
}

// Send password in pipe to the change_password script for security.
$userarg = escapeshellarg($user);
$fd = popen("{$GLOBALS['MYRA_SUPPORT_PATH']}/scripts/change_password $userarg 2>&1",'w');
if (!$fd) {
	exit_result(false,"Cannot write to the scripts/change_password program.");
}
fwrite($fd,$password);
pclose($fd);
exit_result(true);
?>
