<?php
/*
 * Save thumbnail sort order.
 *
 * Intended for ajax usage only. Current file obtained from session variables.
 */

include_once 'myra/lib/config.php';
include_once 'myra/lib/class.Session.php';
include_once 'myra/lib/class.IndexDb.php';
include_once 'myra/lib/lib.common.php';

$session = Session::getInstance();

is_ajax_request() or exit_forbidden();
if (context_id($_SERVER['HTTP_REFERER']) != $session->context) {
        switch_context($_SERVER['HTTP_REFERER']) or exit_forbidden();
}

if (! $session->curr_dir) {
	warn(basename(__FILE__).": no curr_dir set. request_uri: {$_SERVER['REQUEST_URI']}");
	exit;
}

$ids	= isset($_REQUEST['ids'])	? $_REQUEST['ids']	: array();	// required

$idb = new IndexDb($session->curr_dir);
$idb->option('thumb-sort-order',$ids);
$idb->save();
exit;
?>
