<?php
/*
 * Change my password
 */

// To force Apache Basic Authorization, redirect to the change-my-password.php
// program in the password directory where there is a .htaccess file containing
// the "Require valid-user" stanza in it.

include_once 'myra/lib/config.php';
include_once 'myra/lib/class.Session.php';
include_once 'myra/lib/lib.common.php';

$session = Session::getInstance();

// Check if referring page is from this domain and if so, construct url to redirect back to it.
$referer_domain = $_SERVER['HTTP_REFERER'] ? preg_replace('|/.*|','',preg_replace('|^https?://|','',$_SERVER['HTTP_REFERER'])) : '';
$this_domain = $_SERVER['HTTP_HOST'];
$session->return_url = ($this_domain == $referer_domain) ? rawurldecode($_SERVER['HTTP_REFERER']) : '/';

// Redirect to alternative password program here if the url is defined in config.php.
$our_change_password_url = $GLOBALS['MYRA'].'/password/change-my-password.php';
$password_url = $GLOBALS['CHANGE_PASSWORD_URL'] ? $GLOBALS['CHANGE_PASSWORD_URL'] : $our_change_password_url;
$user = $session->user->username();
if (strlen($user) > 0) $password_url .= (preg_match('/\?/',$password_url) ? '&' : '?') . 'user=' . $user;
header("Location: $password_url");
exit;
?>
