<?php
/*
 * Edit a file
 *
 * This returns a form with a context key that can be used to edit a file.
 * This presents a dialog, the actual saving of edits is done in the ajax routine.
 * For security, only files in the current directory can be edited.
 */

### TODO: this is not used yet but is anticipated for text file edits.

include_once 'myra/lib/config.php';
include_once 'myra/lib/class.Session.php';
include_once 'myra/lib/lib.common.php';
include_once 'myra/lib/lib.auth.php';

$session = Session::getInstance();

authenticate_user() or die_unauthenticated();
if (context_id($_SERVER['HTTP_REFERER']) != $session->context) {
        switch_context($_SERVER['HTTP_REFERER'])
	 or exit_dialog_error("Could not obtain permission for this operation. Please refresh your screen and try again.");
}

$file = isset($_GET['file']) ? $_GET['file'] : '';
$file = basename($file);	// paths not allowed for file name

can_edit($file) or exit_forbidden();

$key = new_context();
##$session->$key['curr_file'] = $file;	## this won't work, needed?

$script = <<<End_Of_Javascript
<script type="text/javascript">
//<![CDATA[
jQuery(function($){
	// Register key being used.
	parent.myra.registerKey($('input[name=key]').val());
}
//]]>
</script>
End_Of_Javascript;
?>
<html>
<head></head>
<body>
<form action="<?php echo $GLOBALS['MYRA']; ?>/ajax/save-file.php" method="post">
<input type="hidden" name="key" value="<?php echo $key; ?>" />
<textarea name="content"></textarea>
<div class="dialog-buttons">
<input type="submit" value="Save" />
<input type="reset" value="Cancel" onclick="parent.jQuery.fancybox.close();" />
</div>
</form>
</body>
</html>
