<?php
/*
 * Upload 1 file
 *
 */

include_once 'myra/lib/class.Session.php';
include_once 'myra/lib/lib.common.php';
include_once 'myra/lib/lib.index.php';
include_once 'myra/lib/lib.auth.php';
include_once 'classes/easy_upload/upload_class.php';

$session = Session::getInstance();

# Unlike other Myra dialogs, this is called as a main program in an iframe.
#is_ajax_request() or exit_forbidden();

$key	= isset($_POST['key'])	? $_POST['key']	: null;

switch_context_to_key($key) or exit_forbidden();

can_upload_to_current_dir() or exit_forbidden();

#$max_size = 10*10; // the max. size for uploading
#$_POST['MAX_FILE_SIZE'] = $max_size;

if(!empty($_FILES)) {
	$upload = new file_upload();
	$upload->extensions = array(index_upload_file_types());	# changed to array of regular expressions
	$upload->upload_dir = $session->curr_dir.DIRECTORY_SEPARATOR;
	$upload->create_directory = false;
	$upload->the_temp_file = $_FILES['userfile']['tmp_name'];
	$upload->the_file = $_FILES['userfile']['name'];
	$upload->http_error = $_FILES['userfile']['error'];
	$upload->set_file_name($upload->the_file);
	#$upload->replace = 'y';
	if ($upload->upload()){
		echo '<div id="output">success</div>';
		//echo '<div id="message">'. $upload->file_copy .' uploaded</div>';
		echo '<div id="message">'. formatBytes($_FILES['userfile']['size']).'</div>';
		//return the upload file
		echo '<div id="uploadedfile">'. $upload->file_copy .'</div>';
	} else {
		echo '<div id="output">failed</div>';
		echo '<div id="message">'. $upload->show_error_string() .'</div>';
	}
	echo $upload->file_copy;
}
?>
