<?php
/**
 * Error web page.
 *
 * Note: this file is essentially a copy of portrait_begin.php without the content buttons.
 * This allows error pages to be displayed without authenticating first (and creating
 * superfluous sessions). For example, when mod_autoindex accesses a file in a 
 * protected directory, it first "redirects" to the assigned "ErrorDocument 401"
 * file before displaying the login screen. If login is successful, mod_autoindex 
 * then redirects to the target file. If /myra/401.php used the portrait_begin.php
 * header, the authentication functions create extra session files.
 */

global $page_type, $orient;
$page_type = 'error';
$orient = 'portrait';
?>
<?php include 'myra/inc/html5_preamble.php'; ?>

<div class="page">
<?php include 'myra/inc/page_buttons.php'; ?>

<?php include 'myra-local/inc/portrait_header.php'; ?>

<div class="content">
<div class="content-buttons"></div><!-- .content-buttons -->
