<?php
/*
 * Page content buttons and links.
 *
 * These buttons/links are intended to be at the top of the page content.
 * This is where the edit button and the portrait/landscape buttons are placed.
 *
 * Requires: /myra/js/common.js
 */

include_once 'myra/lib/config.php';
include_once 'myra/lib/lib.auth.php';

$edit_button = ! can_edit_current_dir() ? '' : <<<End_Of_HTML
<a class="icon-edit" href="{$GLOBALS['MYRA']}/dlg/edit-folder.php" title="Edit folder">edit</a>

End_Of_HTML;

$new_buttons = ! can_make_file_in_current_dir() ? '' : <<<End_Of_HTML
<a class="icon-page-new" href="{$GLOBALS['MYRA']}/dlg/new-page.php" title="New page">page</a>
<a class="icon-folder-new" href="{$GLOBALS['MYRA']}/dlg/new-folder.php" title="New folder">folder</a>

End_Of_HTML;

$upload_button = ! can_upload_to_current_dir() ? '' : <<<End_Of_HTML
<a class="icon-upload" href="{$GLOBALS['MYRA']}/dlg/fileupload/" title="Upload files">upload</a>

End_Of_HTML;

$edit_buttons = ! $upload_button && ! $new_buttons && ! $edit_button ? '' : <<<End_Of_HTML
<div class="edit-buttons">$upload_button$new_buttons$edit_button</div>

End_Of_HTML;
?>
<div class="content-buttons">
<?php echo "$edit_buttons"; ?>
<div class="orient-buttons">
<a class="icon-portrait" href="#" onclick="myra.changeToPortrait();return false;" title="Portrait orientation">portrait</a>
<a class="icon-landscape" href="#" onclick="myra.changeToLandscape();return false;" title="Landscape orientation">landscape</a>
</div>
<div class="view-buttons">
<a class="icon-list-view" href="#" onclick="myra.changeToListView();return false;" title="List view">list</a>
<a class="icon-thumbnail-view" href="#" onclick="myra.changeToThumbView();return false;" title="Thumbnail view">thumbnail</a>
</div>
</div><!-- .content-buttons -->
