<?php
/**
 * Footer include file used with Apache mod_autoindex.
 *
 * Note: Although mod_autoindex calls this after index_begin.php, it is 
 * a completely separate program as far as PHP is concerned. That's why
 * user is reauthenticated and session set up again.
 */

include_once 'myra/lib/lib.auth.php';
include_once 'myra/lib/lib.index.php';

if (! isset($_COOKIE[session_name()])) {
	// Note: see note in index_begin.php. Since index_begin.php cannot stop mod_autoindex
	// from printing a list of files, this just finishes off that page which re-directs
	// to a page that can set cookies and therefore define session variables before 
	// redirecting back here.
	print <<<End_Of_HTML
</body></html>
End_Of_HTML;
	exit;
}

$user = authenticate_user() or die_unauthenticated();

?>
</div><!-- .file-list -->
<?php include_index_footer(); ?>
</div><!-- .content -->

<?php include 'myra-local/inc/index_footer.php'; ?>

</div><!-- .page -->
<?php include 'myra/inc/html5_epilog.php'; ?>
