<?php
/*
 * Page primary buttons and links.
 *
 * These buttons/links are intended to be for buttons affecting the workings
 * of the all the software, such as signing in and out.
 */

include_once 'myra/lib/config.php';
include_once 'myra/lib/class.Session.php';
include_once 'myra/lib/class.User.php';

$session = Session::getInstance();

debug('page_buttons: authenticated_user="'.$session->authenticated_user.'"');

if (isset($session->authenticated_user) && $session->authenticated_user) {
	$signin = 'Welcome '.$session->authenticated_user.' | <a href="'.$GLOBALS['MYRA'].'/change-my-password.php">Change Password</a> | <a href="'.$GLOBALS['MYRA'].'/signout.php">Sign Out</a>';
}
else {
	$signin = '<a href="'.$GLOBALS['MYRA'].'/signin.php">Sign In</a>';
}
?>
<div class="page-buttons">
<?php echo "$signin\n"; ?>
</div><!-- .page-buttons -->
