/*
 * Myra template loader
 *
 * This version uses jsonp to allow XSS (cross site scripting) and allow
 * templates to be built around file:///path/to/file.html type of urls
 * which are urls used when opening a local file with a browser.
 */

(function($,w,l){
	var ts = '/js/template.js';
	$('script').each(function(){
		var b, m, n,
		src = $(this).attr('src'),
		tp = src.indexOf(ts);

		if (tp >= 0) {
			b = src.substring(0,tp);
			t = (m = src.match(/[?&]template=([^&]*)/i)) ? m[1] : '';
			$.ajax({
				url: b+'/ajax/template.php',
				type: 'GET',
				data: { b:b, l:l.href, t:t },
				cache: false,
				dataType: 'jsonp'
			})
			.done(function(r){
				var d = r.data;
				if (r.success) {
					w.BASE = b;
					$('head').append(d.head);
					try { eval(d.scripts); } catch(e) { console.error('failed script: '+e.name+': '+e.message); }
					$(function(){
						$('body').addClass(d.orientation);
						document.body.innerHTML = d.beforeBody+document.body.innerHTML+d.afterBody;
						$(document).one('documentReady',function() {
							$('body').css({visibility:'visible'});
						});
						$(document).trigger('documentReady');
					});
				}
				else {
					if (d.href) { l.href = d.href; }
					else if (r.errmsg) { alert(r.errmsg); }
				}
			})
			.fail(function(){
				alert('Template not found.');
				$('body').css('visibility','visible');
			});
			return false;
		}
	});
})(jQuery,window,location);
