/*
 * Myra template
 */

(function(){
	var me = '/js/template.js',
	scripts = document.getElementsByTagName('script'),
	head = scripts[0].parentNode,
	src, base, i, l, n,
	addScript = function(src){
		var script = document.createElement('script');
		script.type = 'text/javascript';
		script.async = false;
		script.src = src;
		head.appendChild(script);
	},
	addStyle = function(css){
		var style = document.createElement('style');
		style.type = 'text/css';
		if(style.styleSheet){
		    style.styleSheet.cssText = css;
		}else{
		    style.appendChild(document.createTextNode(css));
		}
		head.appendChild(style);
	};

	for (i=0,l=scripts.length;i<l;i++) {
		src = scripts[i].src;
		n = src.indexOf(me);
		if (n >= 0) {
			base = src.substring(0,n);
			if (! window.jQuery) addScript(base + '/js/jquery.js');
			addScript(base + '/js/template-loader.js');
			addStyle('body{visibility:hidden}');
			break;
		}
	}
})();
