<?php
/*
 * Special program to signout IE
 *
 * IE has a Javascript command that clears its authentication cache.
 */

include_once 'myra/lib/config.php';
include_once 'myra/lib/class.Session.php';
include_once 'myra/lib/lib.common.php';

$session = Session::getInstance();

// Invalidate current session variables.
##$session->logged_out = true;
unset($session->user);		// remove user credentials
unset($session->contexts);	// clear out any saved contexts for ajax

?>
<!doctype html>
<html lang="en-US" xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Sign Out</title>
<style>
body { font-family:Verdana,Arial,Helvetica; font-size:11px; color:#333; background:#FFF; }
div { width:100px; text-align:center; margin:10% auto; padding:12px; border:solid #333 1px; }
</style>
<script type="text/javascript">
//<![DATA[
try {
	/* From MSDN, found at gallery2.org */
	document.execCommand("ClearAuthenticationCache");

	document.write('<div>Signed Out</div>');
	setTimeout(function(){ location.href='<?php echo rawurlencode_path($GLOBALS['AFTER_LOGOUT_URL']); ?>' },2000);
} catch(e) {
	location.href='signout-page.php';
}
//]]>
</script>
</head>
<body>
</body>
</html>
